org.eclipse.eef.properties.ui.internal.page.propertylist

## Class EEFAccessibleControlAdapter

- java.lang.Object
- - org.eclipse.swt.accessibility.AccessibleControlAdapter
  - - org.eclipse.eef.properties.ui.internal.page.propertylist.EEFAccessibleControlAdapter

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.accessibility.AccessibleControlListener, org.eclipse.swt.internal.SWTEventListener

    public class EEFAccessibleControlAdapter
    extends org.eclipse.swt.accessibility.AccessibleControlAdapter

Accessibility control adapter for the `EEFTabbedPropertyList`.

### Constructor Summary

Constructors
Constructor and Description
`EEFAccessibleControlAdapter(EEFTabbedPropertyList tabbedPropertyList)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getChildAtPoint(org.eclipse.swt.accessibility.AccessibleControlEvent e)`
`void` `getChildCount(org.eclipse.swt.accessibility.AccessibleControlEvent e)`
`void` `getLocation(org.eclipse.swt.accessibility.AccessibleControlEvent e)`
`void` `getRole(org.eclipse.swt.accessibility.AccessibleControlEvent e)`
`void` `getState(org.eclipse.swt.accessibility.AccessibleControlEvent e)`

### Methods inherited from class org.eclipse.swt.accessibility.AccessibleControlAdapter

`getChild, getChildren, getDefaultAction, getFocus, getSelection, getValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFAccessibleControlAdapter

    public EEFAccessibleControlAdapter(EEFTabbedPropertyList tabbedPropertyList)

The constructor.

Parameters:
  `tabbedPropertyList` - The tabbed property list

### Method Detail

#### getChildAtPoint

    public void getChildAtPoint(org.eclipse.swt.accessibility.AccessibleControlEvent e)

Specified by:
  `getChildAtPoint` in interface `org.eclipse.swt.accessibility.AccessibleControlListener`
Overrides:
  `getChildAtPoint` in class `org.eclipse.swt.accessibility.AccessibleControlAdapter`
See Also:
  `AccessibleControlAdapter.getChildAtPoint(org.eclipse.swt.accessibility.AccessibleControlEvent)`

#### getLocation

    public void getLocation(org.eclipse.swt.accessibility.AccessibleControlEvent e)

Specified by:
  `getLocation` in interface `org.eclipse.swt.accessibility.AccessibleControlListener`
Overrides:
  `getLocation` in class `org.eclipse.swt.accessibility.AccessibleControlAdapter`
See Also:
  `AccessibleControlAdapter.getLocation(org.eclipse.swt.accessibility.AccessibleControlEvent)`

#### getChildCount

    public void getChildCount(org.eclipse.swt.accessibility.AccessibleControlEvent e)

Specified by:
  `getChildCount` in interface `org.eclipse.swt.accessibility.AccessibleControlListener`
Overrides:
  `getChildCount` in class `org.eclipse.swt.accessibility.AccessibleControlAdapter`
See Also:
  `AccessibleControlAdapter.getChildCount(org.eclipse.swt.accessibility.AccessibleControlEvent)`

#### getRole

    public void getRole(org.eclipse.swt.accessibility.AccessibleControlEvent e)

Specified by:
  `getRole` in interface `org.eclipse.swt.accessibility.AccessibleControlListener`
Overrides:
  `getRole` in class `org.eclipse.swt.accessibility.AccessibleControlAdapter`
See Also:
  `AccessibleControlAdapter.getRole(org.eclipse.swt.accessibility.AccessibleControlEvent)`

#### getState

    public void getState(org.eclipse.swt.accessibility.AccessibleControlEvent e)

Specified by:
  `getState` in interface `org.eclipse.swt.accessibility.AccessibleControlListener`
Overrides:
  `getState` in class `org.eclipse.swt.accessibility.AccessibleControlAdapter`
See Also:
  `AccessibleControlAdapter.getState(org.eclipse.swt.accessibility.AccessibleControlEvent)`